@import '../../../assets/styles/typography.scss';
@import '../../../assets/styles/variables';

app-notfound {
  display: block;
  height: 100%;
}

.error-wrapper {
  height: 100%;
  padding: var(--eui-s-2xl) calc(2 * var(--eui-s-3xl));
  display: flex;

  .error-image {
    max-height: 25rem;
  }

  .error-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    max-height: 25rem;
    max-width: 40rem;
    padding: var(--eui-s-xl) var(--eui-s-4xl);

    a {
      text-decoration: underline;
    }
  }
}

.pageNotFound,
.idNotFound {
  background-image: linear-gradient(to bottom, var(--eui-c-primary-bg), var(--eui-c-white));
}

.userNotRegistered {
  background-image: linear-gradient(to bottom, #fff3f2, #fffafa);
}

.pageNotAllowed {
  background: linear-gradient(180deg, #fff3f2 0%, rgba(255, 250, 250, 0) 88.1%);
}

.pageNotAvailable,
.systemOutage {
  background: linear-gradient(180deg, #fffbec 0%, rgba(254, 253, 223, 0) 88.1%);
}

@media (max-width: $deviceSizeM) {
  .error-text {
    padding: 0 !important;
  }
}

@media (max-width: $deviceSizeS) {
  .error-wrapper {
    flex-direction: column;

    .error-image {
      max-width: 10rem;
    }
  }
}
